# MS_HSequenceOfInterface.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_MS_HSequenceOfInterface.hxx>`
`#include <MS_SequenceOfInterface.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_MS_Interface.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_MS_Interface
#define | Item_hxx <MS_Interface.hxx>
#define | TheSequence MS_SequenceOfInterface
#define | TheSequence_hxx <MS_SequenceOfInterface.hxx>
#define | TCollection_HSequence MS_HSequenceOfInterface
#define | TCollection_HSequence_hxx <MS_HSequenceOfInterface.hxx>
#define | Handle_TCollection_HSequence Handle_MS_HSequenceOfInterface
#define | TCollection_HSequence_Type_() MS_HSequenceOfInterface_Type_()

## Functions

Handle_MS_HSequenceOfInterface | ShallowCopy (const Handle_MS_HSequenceOfInterface &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_MS_HSequenceOfInterface

#define Item Handle_MS_Interface

#define Item_hxx <MS_Interface.hxx>

#define TCollection_HSequence MS_HSequenceOfInterface

#define TCollection_HSequence_hxx <MS_HSequenceOfInterface.hxx>

#define TCollection_HSequence_Type_ | (

)

MS_HSequenceOfInterface_Type_()

#define TheSequence MS_SequenceOfInterface

#define TheSequence_hxx <MS_SequenceOfInterface.hxx>

## Function Documentation

Handle_MS_HSequenceOfInterface ShallowCopy | ( | const Handle_MS_HSequenceOfInterface & | me | ) | `[inline]`